Read a spending plan iteration
curl --request GET \
--url https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number} \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"MD-SESSION-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("MD-SESSION-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}")
.header("MD-SESSION-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["MD-SESSION-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"iteration": {
"created_at": "2016-10-13T18:08:00+00:00",
"end_on": "2023-05-31T00:00:00.000Z",
"guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
"iteration_number": 1,
"spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
"start_on": "2023-05-01T00:00:00.000Z",
"updated_at": "2016-10-13T18:09:00.000Z",
"user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
},
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Spending Plans
Read a spending plan iteration
This endpoint returns information about a specific iteration according to its iteration_number.
GET
/
spending_plans
/
{spending_plan_guid}
/
iterations
/
{iteration_number}
Read a spending plan iteration
curl --request GET \
--url https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number} \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"MD-SESSION-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("MD-SESSION-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}")
.header("MD-SESSION-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/{iteration_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["MD-SESSION-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"iteration": {
"created_at": "2016-10-13T18:08:00+00:00",
"end_on": "2023-05-31T00:00:00.000Z",
"guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
"iteration_number": 1,
"spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
"start_on": "2023-05-01T00:00:00.000Z",
"updated_at": "2016-10-13T18:09:00.000Z",
"user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
},
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
Response
200 - application/vnd.mx.nexus.v1+json
OK
Hide child attributes
Hide child attributes

